﻿using System.Windows;

namespace Berico.Common.UI.Templates
{
    /// <summary>
    /// Represents a DataTemplate that can be identified by 
    /// a specific key value.  This is used by the
    /// EditorTemplateSelector.
    /// </summary>
    public class KeyedDataTemplate : DataTemplate
    {
        /// <summary>
        /// Gets or sets a key used by the EditorTemplateSelector
        /// </summary>
        public string SelectorKey { get; set; }

    }
}
