﻿//-------------------------------------------------------------
// Copyright © Berico Technologies, LLC. All Rights Reserved
//
// This source is subject to the Microsoft Public License. Please
// visit http://www.microsoft.com/opensource/licenses.mspx#Ms-PL
// for more information.
//
// SnagL™ is a trademark of Berico Technologies.
//-------------------------------------------------------------
using System;
using Berico.SnagL.Model.Attributes;

namespace Berico.SnagL.Model
{
    /// <summary>
    /// Provides the base template for a node
    /// </summary>
    public interface INode : IGraphObject, IComparable
    {
        /// <summary>
        /// Gets an identifier for this node.  This identifier must be
        /// unique among the nodes as it is used to perform equality
        /// comparisons between nodes.
        /// </summary>
        string ID { get; }

        /// <summary>
        /// Gets or sets the display value (label) on the node
        /// </summary>
        string DisplayValue { get; set; }

        /// <summary>
        /// Gets the collection of attributes for this node
        /// </summary>
        AttributeCollection Attributes { get; }
    }
}