﻿//-------------------------------------------------------------
// Copyright © Berico Technologies, LLC. All Rights Reserved
//
// This source is subject to the Microsoft Public License. Please
// visit http://www.microsoft.com/opensource/licenses.mspx#Ms-PL
// for more information.
//
// SnagL™ is a trademark of Berico Technologies.
//-------------------------------------------------------------

namespace Berico.SnagL.Infrastructure.Controls.Views
{
    using System;
    using System.Windows;
    using System.Windows.Controls;

    /// <summary>
    /// Contains the implementation for the custom message dialog
    /// </summary>
    public partial class CustomMessageDialog : ChildWindow
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="CustomMessageDialog" /> class.
        /// </summary>
        public CustomMessageDialog()
        {
            InitializeComponent();
        }

        #endregion

        #region Event Handlers

        /// <summary>
        /// Handles the close button click event
        /// </summary>
        /// <param name="sender">The close button</param>
        /// <param name="e">Any event arguments that might be passed</param>
        private void CloseButtonClick(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }

        #endregion
    }
}
