﻿//-------------------------------------------------------------
// Copyright © Berico Technologies, LLC. All Rights Reserved
//
// This source is subject to the Microsoft Public License. Please
// visit http://www.microsoft.com/opensource/licenses.mspx#Ms-PL
// for more information.
//
// SnagL™ is a trademark of Berico Technologies.
//-------------------------------------------------------------

using System;

namespace Berico.SnagL.Infrastructure.Data.Attributes
{
    /// <summary>
    /// Specfies an attributes semantic type
    /// </summary>
    [Flags]
    public enum SemanticType
    {
        /// <summary>
        /// Indicates no assigned semantic type
        /// </summary>
        Unknown = 0,
        /// <summary>
        /// Indicates a name
        /// </summary>
        Name = 1,
        /// <summary>
        /// Indicates an age
        /// </summary>
        Age = 2,
        /// <summary>
        /// Indicates a phone number
        /// </summary>
        PhoneNumber = 4,
        /// <summary>
        /// Indicates a date
        /// </summary>
        Date = 8,
        /// <summary>
        /// Indicates coordinate values
        /// </summary>
        Coordinates = 16,
        /// <summary>
        /// Indicates an email address
        /// </summary>
        EmailAddress = 32,
        /// <summary>
        /// Indicates a general string
        /// </summary>
        GeneralString = 64,
        /// <summary>
        /// Indicates a number
        /// </summary>
        Number = 128
    }
}