﻿//-------------------------------------------------------------
// Copyright © Berico Technologies, LLC. All Rights Reserved
//
// This source is subject to the Microsoft Public License. Please
// visit http://www.microsoft.com/opensource/licenses.mspx#Ms-PL
// for more information.
//
// SnagL™ is a trademark of Berico Technologies.
//-------------------------------------------------------------

namespace Berico.SnagL.Infrastructure.Data.Mapping.JS
{
    using System.Windows.Browser;

    /// <summary>
    /// Contains properties that represent an <see cref="Berico.SnagL.Model.INode"/> in
    /// a JavaScript friendly format
    /// </summary>
    [ScriptableType]
    public class ScriptableIconNodeMapData : ScriptableNodeMapData
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ScriptableIconNodeMapData"/> class. 
        /// </summary>
        public ScriptableIconNodeMapData()
        {
        }

        /// <summary>
        /// Gets or sets the image source URL for the displayed icon
        /// </summary>
        [ScriptableMember(ScriptAlias = "imageSource")]
        public string ImageSource { get; set; }
    }
}
